import React from 'react';
import { ListItem, MenuVariants } from '../types';
declare type Props<T extends ListItem> = {
    item: T;
    isSelected: boolean;
    onClick: (item: T) => void;
    dragRef?: React.RefObject<HTMLDivElement>;
    isOver?: boolean;
    canDrop?: boolean;
    variant?: MenuVariants.DEFAULT | MenuVariants.ANCHOR;
};
declare function MenuItem<T extends ListItem = ListItem>({ item, isSelected, onClick, dragRef, isOver, canDrop, variant, }: Props<T>): JSX.Element;
export default MenuItem;
